export function genActiveRule(routerPrefix) {
  return location => location.pathname.startsWith(routerPrefix);
}
export default {
  dev: [
    {
      name: 'web4_console',
      entry: `//${window.location.hostname}:3020/civweb4`,
      container: '#micro-container',
      activeRule: genActiveRule('/civbase/civweb4'),
      props: {},
    },
    {
      name: 'civweb4',
      entry: `//${window.location.hostname}:3008/civbase/civweb4`,
      container: '#micro-container',
      activeRule: genActiveRule('/civbase/civweb5'),
    },
    {
      name: 'civ_monitor',
      entry: `//${window.location.hostname}:8082/civbase/civ_monitor`,
      container: '#micro-container',
      activeRule: genActiveRule('/civbase/civ_monitor'),
    },
  ],
  prod: [
    {
      name: 'web4_console',
      entry: `//${window.location.host}/civweb4`,
      container: '#micro-container',
      activeRule: genActiveRule('/civbase/civweb4'),
      props: {},
    },
  ],
};
